groups:
- name: gitlab-com-repositories.rules
  rules:
  - alert: GitLabComNoRepoFoundOnGit
    expr: instance:rails_no_repository_for_path:rate1m >= 10
    for: 1m
    labels:
      severity: critical
    annotations:
      description: This usually means that we lost an NFS mount somewhere in the fleet,
        check https://prometheus.gitlab.com/graph?g0.range_input=1d&g0.expr=rate(rails_git_no_repository_for_such_path%5B1m%5D)%20%3E%200.001&g0.tab=0
        for more data
      runbook: ""
      title: 'High rate of repository not found in the last minute '
